/*  Ddbg - Win32 Debugger for the D programming language
 *  Copyright (c) 2007 Jascha Wetzel
 *  All rights reserved. See LICENSE.TXT for details.
 */
module cli.gdbmicli;

import cli.userinterface;
import breakpoint;
import dbgprocess;
import dbgthread;
import expression.datahandler;

import util;

import win32.winnt;

class GDBMICLI : UserInterfaceBase
{
	void init(string[] args)
	{
	}

	int start()
	{
	    return 0;
	}

	bool parseCommand(string input)
	{
	    return false;
	}

	void debugString(string str)
	{
	}

	bool breakpoint(int index, Breakpoint bp, DbgThread thread)
	{
	    return false;
	}

	void userInterrupt()
	{
	}

	void exception(uint thread_id, string class_name, string msg, size_t obj_ptr)
	{
	}

	void win32exception(uint threadId, EXCEPTION_RECORD* exrec)
	{
	}

	void loadedDLL(DLL dll)
	{
	}

	void exitProcess()
	{
	}

	void singleStep()
	{
	}

    /**********************************************************************************************

    **********************************************************************************************/
    void printAsmLine(uint address, string bytes, string asmsource, string symbol, string location, string source)
	{
	}

	string symbolValueToString(SymbolValue val)
	{
	    return "";
	}

    /**********************************************************************************************
        Read command and call CLI supplied parser function.
        Gets called when debuggee is suspended.
    **********************************************************************************************/
	bool readCommand()
	{
		DbgIO.print("->");
		string input = DbgIO.readln();
		return parseCommand(input);
	}
}
